[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetFloatingDockSiteClass

Returns the class for a floating host dock site.

## Declaration

Source position: controls.pp line 1462

`protected function TControl.GetFloatingDockSiteClass: TWinControlClass; virtual;`

## Function result

The class of a floating host dock site for this control.

## Description

An instance of this class is created whenever a control shall float, but cannot (or shall not) float by itself.

Only TWinControls can float on the screen (with Parent=Nil), but not ordinary TControls.

Since dockable forms are not supported by every platform, a dockable TWinControl may need a floating host which presents a docking handle to the user (e.g. a dock caption).

## See also

TControl.CreateFloatingDockSite |  | Create a floating dock site with a client area equal to the given screen coordinates.